razum2um razum2um

lurker

38 7 0

The ultimate tool for documenting and testing APIs in Rails

Reports Beta

Some reports are compatible with your project but none of them has been enabled.

Dependencies

Package Locked Requirement Latest Status Changelog
Gems activesupport < 4.3, >= 3.2 5.0.1

activesupport

A toolkit of support libraries and Ruby core extensions extracted from the Rails framework. Rich support for multibyte strings, internationalization, time zones, and testing.

This dependency is not matching latest version. Please consider upgrading.

Gems hashie >= 3.0 3.5.3

hashie

Hashie is a collection of classes and mixins that make hashes more powerful.

This dependency is up-to-date. Congrats and keep going!

Gems json ~> 1.7 2.0.3

json

This is a JSON implementation as a Ruby extension in C.

This dependency is not matching latest version. Please consider upgrading.

Gems json-schema ~> 2.2 2.8.0

json-schema

Ruby JSON Schema Validator

This dependency is up-to-date. Congrats and keep going!

Gems sinatra ~> 1.4 1.4.8

sinatra

Sinatra is a DSL for quickly creating web applications in Ruby with minimal effort.

This dependency is up-to-date. Congrats and keep going!

Gems thor ~> 0.19 0.19.4

thor

Thor is a toolkit for building powerful command-line interfaces.

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems aruba ~> 0.5 0.14.2

aruba

Extension for popular TDD and BDD frameworks like "Cucumber", "RSpec" and "Minitest" to make testing commandline applications meaningful, easy and fun.

This dependency is up-to-date. Congrats and keep going!

Gems bootstrap-sass ~> 3.3.3 3.3.7

bootstrap-sass

bootstrap-sass is a Sass-powered version of Bootstrap 3, ready to drop right into your Sass powered applications.

This dependency is up-to-date. Congrats and keep going!

Gems bundler >= 1.7.11 1.14.4

bundler

Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably

This dependency is up-to-date. Congrats and keep going!

Gems capybara ~> 2.2 2.12.1

capybara

Capybara is an integration testing tool for rack based web applications. It simulates how a user would interact with a website

This dependency is up-to-date. Congrats and keep going!

Gems coffee-rails >= 0 4.2.1

coffee-rails

CoffeeScript adapter for the Rails asset pipeline.

This dependency is up-to-date. Congrats and keep going!

Gems coveralls ~> 0.7 0.8.19

coveralls

A Ruby implementation of the Coveralls API.

This dependency is up-to-date. Congrats and keep going!

Gems cucumber ~> 1.3 2.4.0

cucumber

Behaviour Driven Development with elegance and joy

This dependency is not matching latest version. Please consider upgrading.

Gems database_cleaner ~> 1.2 1.5.3

database_cleaner

Strategies for cleaning databases. Can be used to ensure a clean state for testing.

This dependency is up-to-date. Congrats and keep going!

Gems diffy ~> 3.0 3.1.0

diffy

Convenient diffing in ruby

This dependency is up-to-date. Congrats and keep going!

Gems execjs ~> 2.0 2.7.0

execjs

ExecJS lets you run JavaScript code from Ruby.

This dependency is up-to-date. Congrats and keep going!

Gems fuubar >= 0 2.2.0

fuubar

the instafailing RSpec progress bar formatter

This dependency is up-to-date. Congrats and keep going!

Gems fuubar-cucumber >= 0 0.0.22

fuubar-cucumber

the instafailing Cucumber progress bar formatter

This dependency is up-to-date. Congrats and keep going!

Gems highline >= 0 1.7.8

highline

A high-level IO library that provides validation, type conversion, and more for command-line interfaces. HighLine also includes a complete menu system that can crank out anything from simple list selection to complete shells with just minutes of work.

This dependency is up-to-date. Congrats and keep going!

Gems jquery-rails >= 0 4.2.2

jquery-rails

This gem provides jQuery and the jQuery-ujs driver for your Rails 4+ application.

This dependency is up-to-date. Congrats and keep going!

Gems kramdown ~> 1.3 1.13.2

kramdown

kramdown is yet-another-markdown-parser but fast, pure Ruby, using a strict syntax definition and supporting several common extensions.

This dependency is up-to-date. Congrats and keep going!

Gems launchy >= 0 2.4.3

launchy

Launchy is helper class for launching cross-platform applications in a fire and forget manner. There are application concepts (browser, email client, etc) that are common across all platforms, and they may be launched differently on each platform. Launchy is here to make a common approach to launching external application from within ruby programs.

This dependency is up-to-date. Congrats and keep going!

Gems nokogiri ~> 1.5 1.7.0.1

nokogiri

Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser. Among Nokogiri's many features is the ability to search documents via XPath or CSS3 selectors.

This dependency is up-to-date. Congrats and keep going!

Gems pdfkit ~> 0.6 0.8.2

pdfkit

Uses wkhtmltopdf to create PDFs using HTML

This dependency is up-to-date. Congrats and keep going!

Gems pg ~> 0.16 0.19.0

pg

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 9.1 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

This dependency is up-to-date. Congrats and keep going!

Gems poltergeist ~> 1.5 1.13.0

poltergeist

Poltergeist is a driver for Capybara that allows you to run your tests on a headless WebKit browser, provided by PhantomJS.

This dependency is up-to-date. Congrats and keep going!

Gems pry-byebug >= 0 3.4.2

pry-byebug

Combine 'pry' with 'byebug'. Adds 'step', 'next', 'finish', 'continue' and 'break' commands to control execution.

This dependency is up-to-date. Congrats and keep going!

Gems pry-debugger >= 0 0.2.3

pry-debugger

Combine 'pry' with 'debugger'. Adds 'step', 'next', and 'continue' commands to control execution.

This dependency is up-to-date. Congrats and keep going!

Gems pry-session >= 0 0.0.3

pry-session

Save and load sessions in Pry

This dependency is up-to-date. Congrats and keep going!

Gems pry-stack_explorer >= 0 0.4.9.2

pry-stack_explorer

Walk the stack in a Pry session

This dependency is up-to-date. Congrats and keep going!

Gems psych ~> 2.0 2.2.2

psych

Psych is a YAML parser and emitter. Psych leverages libyaml[http://pyyaml.org/wiki/LibYAML] for its YAML parsing and emitting capabilities. In addition to wrapping libyaml, Psych also knows how to serialize and de-serialize most Ruby objects to and from the YAML format.

This dependency is up-to-date. Congrats and keep going!

Gems rack-cors ~> 0.2 0.4.1

rack-cors

Middleware that will make Rack-based apps CORS compatible. Read more here: http://blog.sourcebender.com/2010/06/09/introducin-rack-cors.html. Fork the project here: https://github.com/cyu/rack-cors

This dependency is up-to-date. Congrats and keep going!

Gems rails < 4.3, >= 3.2 5.0.1

rails

Ruby on Rails is a full-stack web framework optimized for programmer happiness and sustainable productivity. It encourages beautiful code by favoring convention over configuration.

This dependency is not matching latest version. Please consider upgrading.

Gems rake ~> 10.2 12.0.0

rake

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are specified in standard Ruby syntax. Rake has the following features: * Rakefiles (rake's version of Makefiles) are completely defined in standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to worry about (is that a tab or a space?) * Users can specify tasks with prerequisites. * Rake supports rule patterns to synthesize implicit tasks. * Flexible FileLists that act like arrays but know about manipulating file names and paths. * Supports parallel execution of tasks.

This dependency is not matching latest version. Please consider upgrading.

Gems remotipart >= 0 1.3.1

remotipart

Remotipart is a Ruby on Rails gem enabling remote multipart forms (AJAX style file uploads) with jquery-rails. This gem augments the native Rails 3 jQuery-UJS remote form function enabling asynchronous file uploads with little to no modification to your application.

This dependency is up-to-date. Congrats and keep going!

Gems rspec ~> 2.14 3.5.0

rspec

BDD for Ruby

This dependency is not matching latest version. Please consider upgrading.

Gems rspec-rails ~> 2.14 3.5.2

rspec-rails

rspec-rails is a testing framework for Rails 3+.

This dependency is not matching latest version. Please consider upgrading.

Gems rubocop ~> 0.21 0.47.1

rubocop

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

This dependency is up-to-date. Congrats and keep going!

Gems sass-rails >= 0 5.0.6

sass-rails

Sass adapter for the Rails asset pipeline.

This dependency is up-to-date. Congrats and keep going!

Gems selenium-webdriver >= 0 3.1.0

selenium-webdriver

WebDriver is a tool for writing automated tests of websites. It aims to mimic the behaviour of a real user, and as such interacts with the HTML of the application.

This dependency is up-to-date. Congrats and keep going!

Gems simplecov ~> 0.7 0.13.0

simplecov

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

This dependency is up-to-date. Congrats and keep going!

Gems sprockets >= 0 3.7.1

sprockets

Sprockets is a Rack-based asset packaging system that concatenates and serves JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.

This dependency is up-to-date. Congrats and keep going!

Gems test-unit ~> 3.0 3.2.3

test-unit

test-unit (Test::Unit) is unit testing framework for Ruby, based on xUnit principles. These were originally designed by Kent Beck, creator of extreme programming software development methodology, for Smalltalk's SUnit. It allows writing tests, checking results and automated testing in Ruby.

This dependency is up-to-date. Congrats and keep going!

Gems uglifier >= 0 3.0.4

uglifier

Uglifier minifies JavaScript files by wrapping UglifyJS to be accessible in Ruby

This dependency is up-to-date. Congrats and keep going!

Gems wkhtmltopdf-binary ~> 0.9 0.12.3.1

wkhtmltopdf-binary

Provides binaries for WKHTMLTOPDF project in an easily accessible package.

This dependency is up-to-date. Congrats and keep going!